# Creditor Bank Account

Source: https://docs.gocardless.com/docs/api-reference/creditor-bank-account

## Create a creditor bank account

`POST /creditor_bank_accounts`

Creates a new creditor bank account object.

### Request body

Wrap request body attributes in a `creditor_bank_accounts` object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `account_number` | string | No | Bank account number - see [local details](#appendix-local-bank-details) for more information. Alternatively you can provide an `iban`. |
| `bank_code` | string | No | Bank code - see [local details](#appendix-local-bank-details) for more information. Alternatively you can provide an `iban`. |
| `branch_code` | string | No | Branch code - see [local details](#appendix-local-bank-details) for more information. Alternatively you can provide an `iban`. |
| `iban` | string | No | International Bank Account Number. Alternatively you can provide [local details](#appendix-local-bank-details). IBANs are not accepted for Swedish bank accounts denominated in SEK - you must supply [local details](#local-bank-details-sweden). |
| `country_code` | string | No | [ISO 3166-1 alpha-2 code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements). Defaults to the country code of the `iban` if supplied, otherwise is required. |
| `currency` | string | No | [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217#Active_codes) currency code. Currently "AUD", "CAD", "DKK", "EUR", "GBP", "NZD", "SEK" and "USD" are supported. |
| `account_holder_name` | string | No | Name of the account holder, as known by the bank. Usually this is the same as the name stored with the linked [creditor](#core-endpoints-creditors). This field will be transliterated, upcased and truncated to 18 characters. |
| `account_type` | string | No | Bank account type. Required for USD-denominated bank accounts. Must not be provided for bank accounts in other currencies. See [local details](#local-bank-details-united-states) for more information. |
| `set_as_default_payout_account` | boolean | No | Defaults to `true`. When this is set to `true`, it will cause this bank account to be set as the account that GoCardless will pay out to. |
| `metadata` | object | No | Key-value store of custom data. Up to 3 keys are permitted, with key names up to 50 characters and values up to 500 characters. |
| `links` | object | No |  |

### Responses

| Status | Description |
| --- | --- |
| 201 | Resource created successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## List creditor bank accounts

`GET /creditor_bank_accounts`

Returns a [cursor-paginated](#api-usage-cursor-pagination) list of your creditor bank accounts.

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## Get a single creditor bank account

`GET /creditor_bank_accounts/{creditor_bank_account_id}`

Retrieves the details of an existing creditor bank account.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `creditor_bank_account_id` | path | string | Yes | The creditor bank account id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## Disable a creditor bank account

`POST /creditor_bank_accounts/{creditor_bank_account_id}/actions/disable`

Immediately disables the bank account, no money can be paid out to a disabled account.

This will return a `disable_failed` error if the bank account has already been disabled.

A disabled bank account can be re-enabled by creating a new bank account resource with the same details.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `creditor_bank_account_id` | path | string | Yes | The creditor bank account id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Action completed successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
